Open Infrastructure - Task #7186

Add support for general VPN including IPv4
09/30/2019 11:40 AM - Nico Schottelius

Status: Closed Start date: 09/30/2019
Priority: Normal Due date: 10/31/2019
Assignee: Sanghee Kim % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ Need some NAT'ing IPv4 addresses
o "pburned IPs"
We will support NAT64 as an addition
o Create specific name servers (?)
Pricing model: 15 CHF/month
Should be fully automated, maybe within ucloud

How to implement

¢ Add a product in ucloud-pay (Mondi)
o Add business logic in ucloud-pay to terminate VPN if not paid anymore
Create a frontend for ucloud-pay (Mondi)
Create landing page (might be the same as the frontend) (Mondi, Sanghee)
Create / configure DNS servers (Balazs, Jin-Guk)
Setup NAT44 (Balazs, Jin-Guk)
Add Sanghee as a test client (Balazs)
Create blog entry (Sanghee)

ETA end of month

History

#1 - 09/30/2019 11:41 AM - Nico Schottelius

- Description updated

#2 - 01/13/2020 06:37 PM - Moris Jones

Errrr what is it with your VPN pricing? Did you go skiing and get altitude sickness?

Market price for VPN services is $5 - $12 per month.

The high end services offer multiple server locations in every continent and dedicated servers for all different protocol types - file-sharing,VOIP,netflix
etc etc

The free IPv6 VPN included with a VM is a killer product

The 120CHF/year IPv6 VPN is a joke, or a marketing ploy to sell VMs, since the cheapest VMs are cheaper than the VPN.

Now you want to charge more than double that for including 1Pv4?

You know about the ProtonVPN service just the other side of the Alps, right?

#3 - 01/03/2024 08:50 AM - Nico Schottelius

- Status changed from New to Closed
